Index: mibs/d-link/DES-1210-28ME_B2
===================================================================
--- mibs/d-link/DES-1210-28ME_B2	(revision 11288)
+++ mibs/d-link/DES-1210-28ME_B2	(working copy)
@@ -10379,12 +16750,13 @@
           }
         
         sysBPDUAttackCtrlIndex OBJECT-TYPE 
-           SYNTAX      Integer32 
+           SYNTAX      Integer32 (1..28)
            MAX-ACCESS  read-only 
            STATUS      current 
            DESCRIPTION 
               "The interface index of the port for which the configuration
-              in this entry applies."
+              in this entry applies.
+              For all machines give maximum port number."
            ::= { sysBPDUAttackCtrlEntry 1 }
             
         sysBPDUAttackPortState OBJECT-TYPE 
@@ -10651,42 +17023,355 @@
     DESCRIPTION
         "This object indicates the status of this entry."
     ::= { qinqVlanTranslationCVIDEntry 4 }
--- ----------------------------------------------------------
--- The companyCableDiagnostic Groups
--- ----------------------------------------------------------
--- Cable Diagnostics Group -----------------------------------------------	
+    -- ---------------------------------------------------------------------
+    -- EOAM Function
+    -- ---------------------------------------------------------------------
+      eoamSystem                OBJECT IDENTIFIER ::= { companyEoam 1 }
+      eoamLinkMonitor           OBJECT IDENTIFIER ::= { companyEoam 2 }
+    -- ------------------------------------------------------------------
+    -- The EOAM System Group
+    -- ------------------------------------------------------------------
 
-	doSTrapLog OBJECT-TYPE
-    	SYNTAX INTEGER {
-    		enable(1), 
-    		disable(2),
-    		other(3)
-    	}
-        MAX-ACCESS  read-write
-        STATUS current
+--    eoamGlobalStatus OBJECT-TYPE
+--        SYNTAX      INTEGER { enabled(1), disabled(2) }
+--        MAX-ACCESS  read-write
+--        STATUS      current
+--        DESCRIPTION
+--            "This object is used to enable/disable the EOAM status."
+--        ::= { eoamSystem 1 }
+
+    eoamTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF EOAMConfigEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
         DESCRIPTION
-            "This object indicates the status of the DoS prevention trap log."
-    ::= { companyDoSCtrl 1 }
-	
-	doSClearCounters OBJECT-TYPE
-    	SYNTAX INTEGER {
-			land-attack(1),
-			blat-attack(2),
-			smurf-attack(3),
-			tcp-null-scan(4),
-			tcp-xmascan(5),
-			tcp-synfin(6),
-			tcp-syn-srcport-less-1024(7),
-			all(8),
-			other(9)
-    	}
-        MAX-ACCESS  read-write
-        STATUS current
+           "A table that contains EOAM mode information about each port."
+        ::= { eoamSystem 2 }
+
+    eoamEntry OBJECT-TYPE
+        SYNTAX     EOAMConfigEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
         DESCRIPTION
-            "This object clears the DoS prevention frame counters."
-    ::= { companyDoSCtrl 2 }
+              "A list of EOAM mode information for each port."
+        INDEX { eoamIfIndex }
+        ::= { eoamTable 1 }
 
-							
+    EOAMConfigEntry ::= 
+            SEQUENCE {
+              eoamIfIndex                    InterfaceIndex,
+              eoamState                      INTEGER,
+              eoamMode                       INTEGER,
+              eoamReceivedRemoteLoopback     INTEGER,
+              eoamRemoteLoopback             INTEGER,
+              eoamDyingGaspEnable            INTEGER,
+              eoamCriticalEventEnable        INTEGER
+              }
+
+    eoamIfIndex OBJECT-TYPE
+        SYNTAX      InterfaceIndex
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+              "The index of the port. "
+        ::= { eoamEntry 1 }
+
+    eoamState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM state enabled or disabled."
+        ::= { eoamEntry 2 }
+
+    eoamMode OBJECT-TYPE
+       SYNTAX       INTEGER { passive(1), active(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM mode as active or passive."
+        ::= { eoamEntry 3 }
+
+    eoamReceivedRemoteLoopback OBJECT-TYPE
+       SYNTAX       INTEGER { ignore(1), process(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM received or ignore remote loopback packets."
+        ::= { eoamEntry 4 }
+
+    eoamRemoteLoopback OBJECT-TYPE
+       SYNTAX       INTEGER { noLoopBack(1), 
+                              startLoopBack(2),
+                              remoteLoopBack(3),
+                              stopLoopBack(4),
+                              localLoopBack(5),
+                              unknownLoopBack(6)
+                              }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM remote loopback start or stop."
+        ::= { eoamEntry 5 }
+
+    eoamDyingGaspEnable OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM dying gasp state enabled or disabled."
+        ::= { eoamEntry 6 }
+
+    eoamCriticalEventEnable OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM critical event state enabled or disabled."
+        ::= { eoamEntry 7 }
+
+    -- ------------------------------------------------------------------
+    -- The EOAM Link Monitor Group
+    -- ------------------------------------------------------------------
+
+    eoamLinkMonitorTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF EOAMConfigLinkMonitorEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+           "A table that contains EOAM link monitor information about each port."
+        ::= { eoamLinkMonitor 1 }
+
+    eoamLinkMonitorEntry OBJECT-TYPE
+        SYNTAX     EOAMConfigLinkMonitorEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+              "A list of EOAM link monitor information for each port."
+        INDEX { eoamLinkMonitorIfIndex }
+        ::= { eoamLinkMonitorTable 1 }
+
+    EOAMConfigLinkMonitorEntry ::= 
+            SEQUENCE {
+              eoamLinkMonitorIfIndex         InterfaceIndex,
+              errorSymbolNotifyState         INTEGER,
+              errorSymbolThreshold           Unsigned32,
+              errorSymbolWindow              Unsigned32,
+              errorFrameNotifyState          INTEGER,
+              errorFrameThreshold            Unsigned32,
+              errorFrameWindow               Unsigned32,
+              errorFrameSecondsNotifyState   INTEGER,
+              errorFrameSecondsThreshold     Unsigned32,
+              errorFrameSecondsWindow        Unsigned32,
+              errorFramePeriodNotifyState    INTEGER,
+              errorFramePeriodThreshold      Unsigned32,
+              errorFramePeriodWindow         Unsigned32
+              }
+
+    eoamLinkMonitorIfIndex OBJECT-TYPE
+        SYNTAX      InterfaceIndex
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+              "The index of the port. "
+        ::= { eoamLinkMonitorEntry 1 }
+
+    errorSymbolNotifyState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol notify state enabled or disabled."
+        ::= { eoamLinkMonitorEntry 2 }
+
+    errorSymbolThreshold OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol threshold."
+        ::= { eoamLinkMonitorEntry 3 }
+
+    errorSymbolWindow OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol window."
+        ::= { eoamLinkMonitorEntry 4 }
+
+    errorFrameNotifyState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error frame notify state enabled or disabled."
+        ::= { eoamLinkMonitorEntry 5 }
+
+    errorFrameThreshold OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error frame threshold."
+        ::= { eoamLinkMonitorEntry 6 }
+
+    errorFrameWindow OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol window."
+        ::= { eoamLinkMonitorEntry 7 }
+
+
+    errorFrameSecondsNotifyState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol notify state enabled or disabled."
+        ::= { eoamLinkMonitorEntry 8 }
+
+    errorFrameSecondsThreshold OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol threshold."
+        ::= { eoamLinkMonitorEntry 9 }
+
+    errorFrameSecondsWindow OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol window."
+        ::= { eoamLinkMonitorEntry 10 }
+
+    errorFramePeriodNotifyState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol notify state enabled or disabled."
+        ::= { eoamLinkMonitorEntry 11 }
+
+    errorFramePeriodThreshold OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol threshold."
+        ::= { eoamLinkMonitorEntry 12 }
+
+    errorFramePeriodWindow OBJECT-TYPE
+       SYNTAX       Unsigned32
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the EOAM error symbol window."
+        ::= { eoamLinkMonitorEntry 13 }
+
+    -- ---------------------------------------------------------------------
+    -- EOAM Function
+    -- ---------------------------------------------------------------------
+      duldSystem                OBJECT IDENTIFIER ::= { companyDuld 1 }
+
+    -- ------------------------------------------------------------------
+    -- The DULD System Group
+    -- ------------------------------------------------------------------
+
+    duldTable  OBJECT-TYPE
+        SYNTAX     SEQUENCE OF DULDConfigEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+           "A table that contains DULD mode information about each port."
+        ::= { duldSystem 1 }
+
+    duldEntry OBJECT-TYPE
+        SYNTAX     DULDConfigEntry 
+        MAX-ACCESS not-accessible
+        STATUS     current
+        DESCRIPTION
+              "A list of DULD mode information for each port."
+        INDEX { duldIfIndex }
+        ::= { duldTable 1 }
+
+    DULDConfigEntry ::= 
+            SEQUENCE {
+              duldIfIndex                    InterfaceIndex,
+              duldState                      INTEGER,
+              duldOperState                  INTEGER,
+              duldMode                       INTEGER,
+              duldLinkStatus                 INTEGER,
+              duldDiscoveryTime              Unsigned32
+              }
+
+    duldIfIndex OBJECT-TYPE
+        SYNTAX      InterfaceIndex
+        MAX-ACCESS  read-only
+        STATUS      current
+        DESCRIPTION
+              "The index of the port. "
+        ::= { duldEntry 1 }
+
+    duldState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the DULD admin state enabled or disabled."
+        ::= { duldEntry 2 }
+
+    duldOperState OBJECT-TYPE
+       SYNTAX       INTEGER { enabled(1), disabled(2) }
+       MAX-ACCESS   read-only
+       STATUS       current
+       DESCRIPTION
+               "Gets the DULD Oper state enabled or disabled."
+        ::= { duldEntry 3 }
+
+    duldMode OBJECT-TYPE
+       SYNTAX       INTEGER { shutdown(1), normal(2) }
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the DULD mode as shutdown or normal."
+        ::= { duldEntry 4 }
+
+    duldLinkStatus OBJECT-TYPE
+       SYNTAX       INTEGER { unknow(1), bidirectional(2), txFault(3), rxFault(4), linkDown(5) }
+       MAX-ACCESS   read-only
+       STATUS       current
+       DESCRIPTION
+               "Gets the DULD link status."
+        ::= { duldEntry 5 }
+
+    duldDiscoveryTime OBJECT-TYPE
+       SYNTAX       Unsigned32 (5..65535) 
+       MAX-ACCESS   read-write
+       STATUS       current
+       DESCRIPTION
+               "Sets the DULD discovery time."
+        ::= { duldEntry 6 }
+
+    duldRecoverTime  OBJECT-TYPE
+        SYNTAX     Unsigned32 (0 | 60..1000000)
+        MAX-ACCESS read-write
+        STATUS     current
+        DESCRIPTION
+           "Duld auto recover time."
+        DEFVAL  { 60 }
+        ::= { duldSystem 2 }
+
+-- ----------------------------------------------------------
+-- The companyDoSCtrl Groups
+-- ----------------------------------------------------------
+-- Dos prevention Group 
+-- ----------------------------------------------------------
+						
     doSCtrlTable  OBJECT-TYPE
         SYNTAX  SEQUENCE OF DoSCtrlEntry
         MAX-ACCESS  not-accessible
@@ -10693,7 +17378,7 @@
         STATUS  current
         DESCRIPTION
             "A table that holds the DoS prevention settings of the device."
-        ::= { companyDoSCtrl 3 }
+        ::= { companyDoSCtrl 1 }
 
     doSCtrlEntry OBJECT-TYPE
         SYNTAX  DoSCtrlEntry
@@ -10714,11 +17399,13 @@
 				INTEGER,
 			doSCtrlMirrorPort
 				INTEGER,
-			doSCtrlMirrorPriority
+			doSCtrlMirrorReplace1P
 				INTEGER,
 			doSCtrlMirrorRxRate
 				INTEGER,
 			doSCtrlFrameCount
+				INTEGER,
+			doSCtrlClearFrameCount
 				INTEGER
         }
         
@@ -10738,10 +17425,10 @@
             "This object indicates the DoS prevention type."
     ::= { doSCtrlEntry 1 }
     
-	doSCtrlState OBJECT-TYPE
+	  doSCtrlState OBJECT-TYPE
         SYNTAX INTEGER {
-               enable(1),
-               disable(2)
+                          disabled (0),
+                          enabled  (1)
                }
         MAX-ACCESS  read-write
         STATUS  current
@@ -10751,8 +17438,8 @@
        
     doSCtrlActionType OBJECT-TYPE
         SYNTAX  INTEGER {
-               drop(1),
-               mirror(2)
+               drop(0),
+               mirror(1)
                }
         MAX-ACCESS  read-write
         STATUS  current
@@ -10775,83 +17462,404 @@
             activate the 'mirror' DoS action."
     ::= { doSCtrlEntry 4 }
     
-    doSCtrlMirrorPriority OBJECT-TYPE
-    	SYNTAX INTEGER (0..8)
-	    MAX-ACCESS  read-write
+    doSCtrlMirrorReplace1P OBJECT-TYPE
+    	SYNTAX INTEGER (-1..7)
+        MAX-ACCESS  read-write
         STATUS current
         DESCRIPTION
-            "This object configures the priority of the detected packet.
-            Valid priority values are from 0 to 7. The value 8 indicates that there will be
-            no change in the priority of the DoS attack packet as it is forwarded to the
-            mirror port. A valid mirror port must first be specified in order to set this value."
+            "This object indicates the packet to which the attack packet will be replaced 1p to mirror port.
+            The Range of 1p is 0 ~ 7. If value set to -1, it means no chenged."
     ::= { doSCtrlEntry 5 }
-
     
-	doSCtrlMirrorRxRate	OBJECT-TYPE
+    doSCtrlMirrorRxRate OBJECT-TYPE
     	SYNTAX INTEGER (0..1024000)
         MAX-ACCESS  read-write
         STATUS current
         DESCRIPTION
-            "This object indicates the rate of reception of DoS attack packets.
-            The valid values are 64 to 1024000.
-            A value of 0 indicates that the rate has no limit. The default value is 0.
-            A valid mirror port must first be specified in order to set this value."
+            "This object indicates the packet to which the attack packet will be rate limited to mirror port.
+            The Range of rx limit is 0 or 64~1024000. If rate set to 0, it means no limit."
     ::= { doSCtrlEntry 6 }
 
-    doSCtrlFrameCount OBJECT-TYPE
-        SYNTAX  INTEGER
+
+	  doSCtrlFrameCount OBJECT-TYPE
+        SYNTAX INTEGER 
         MAX-ACCESS  read-only
         STATUS  current
         DESCRIPTION
-            "This object indicates the number of frames detected under the DoS prevention type.
-            A valid mirror port must first be specified in order to set this value."
-        ::= { doSCtrlEntry 7 }
-        
---***************************************************************************
---	DoSNotify
---***************************************************************************
-	doSNotify       	OBJECT IDENTIFIER ::= { companyDoSCtrl 4 }
+            "This object indicates the frame counts of the DoS prevention type."
+    ::= { doSCtrlEntry 7 }
+       
 
-	doSNotifyPrefix	OBJECT IDENTIFIER ::= { doSNotify 0 }
+	  doSCtrlClearFrameCount OBJECT-TYPE
+        SYNTAX INTEGER {
+                          normal (0),
+                          clear (1)
+               }
+        MAX-ACCESS  read-write
+        STATUS  current
+        DESCRIPTION
+            "This object will clear frame count when set to clear."
+    ::= { doSCtrlEntry 8 }
+       
 
-	doSAttackDetected NOTIFICATION-TYPE
-		OBJECTS {
-					doSCtrlType,
-					doSNotifyVarIpAddr,
-					doSNotifyVarPortNumber
-				}
-		STATUS  current
-		DESCRIPTION
-				"This trap is sent when the specific DoS packet is received,
-				 DoSTrapLog is enable(1) and DoSCtrlActionType is
-				 drop(1) for specific DoSCtrlType."
-		::= { doSNotifyPrefix 1 }
 
-	doSNotifyVarBindings	OBJECT IDENTIFIER ::= { doSNotify 1 }
+	dosCtrlTrapLogState OBJECT-TYPE 
+           SYNTAX      INTEGER {
+                          disabled (0),
+                          enabled  (1)
+                       }
+           MAX-ACCESS  read-write 
+           STATUS      current 
+           DESCRIPTION 
+               "Enable/Disable Dos Trap Log function.
+               Default is disabled."
+                 
+           DEFVAL  { disabled }
+           ::= { companyDoSCtrl 2 }
+
+    -- ------------------------------------------------------------------
+    -- The Time Range Setting
+    -- ------------------------------------------------------------------
+
+	    swTimeRangeSettingTable OBJECT-TYPE
+	       SYNTAX      SEQUENCE OF SwTimeRangeSettingEntry
+	       MAX-ACCESS  not-accessible
+	       STATUS      current
+	       DESCRIPTION
+	           "A table to configure time Range in the system."
+	       ::= { companyTimeRangeMgmt 1 }
+	    
+	    swTimeRangeSettingEntry OBJECT-TYPE
+	       SYNTAX      SwTimeRangeSettingEntry
+	       MAX-ACCESS  not-accessible
+	       STATUS      current
+	            DESCRIPTION
+	                "A schedule entry to configure time Range in the system."     
+	       INDEX { swTimeRangeIndex }
+	       ::= { swTimeRangeSettingTable 1 }      
+	       
+	    SwTimeRangeSettingEntry ::=
+	       SEQUENCE { 
+	          	swTimeRangeIndex     	    Integer32,      
+	          	swTimeRangeName	            DisplayString,
+	          	swTimeRangeDate             INTEGER,          	          	
+	            swTimeRangeStartYear		INTEGER,
+	            swTimeRangeStartMonth		INTEGER,
+	            swTimeRangeStartDay			Integer32,
+	            swTimeRangeStartHour		Integer32,
+	            swTimeRangeStartMinute    	Integer32,
+	            swTimeRangeEndYear			INTEGER,
+	            swTimeRangeEndMonth			INTEGER,
+	            swTimeRangeEndDay			Integer32,
+	            swTimeRangeEndHour			Integer32,
+	            swTimeRangeEndMinute       	Integer32,          
+	            swTimeRangeMonday          	INTEGER,
+	            swTimeRangeTuesday         	INTEGER,
+	            swTimeRangeWednesday       	INTEGER,
+	            swTimeRangeThursday        	INTEGER,
+	            swTimeRangeFriday          	INTEGER,
+	            swTimeRangeSaturday        	INTEGER,
+	            swTimeRangeSunday          	INTEGER,
+	          	swTimeRangeRowStatus  		RowStatus             
+	     } 
 	
-	doSNotifyVarIpAddr OBJECT-TYPE
-		SYNTAX      IpAddress
-		MAX-ACCESS  accessible-for-notify
-		STATUS  current
-		DESCRIPTION
-				"If the DoS packet is from the end station, represent 
-				the IP address of attacker; otherwise represent the
-				router's IP"
-		::={doSNotifyVarBindings 1}
+	    swTimeRangeIndex OBJECT-TYPE 
+	       SYNTAX      Integer32 (1..52)
+	       MAX-ACCESS  read-only 
+	       STATUS      current 
+	            DESCRIPTION
+	                "The Time Range identifier. The maximum number of Schedule entry is 
+                     the number of ports supported PoE function.
+	                 The value must be between 1 and 52."
+	       ::= { swTimeRangeSettingEntry 1 }
+	    
+	    swTimeRangeName OBJECT-TYPE 
+	       SYNTAX      DisplayString (SIZE(1..20))
+	       MAX-ACCESS  read-write 
+	       STATUS      current 
+	            DESCRIPTION
+	                "The Schedule name associated with the Schedule entry (e.g., `abc, bbb')."
+	       ::= { swTimeRangeSettingEntry 2}
 	
+	    swTimeRangeDate  OBJECT-TYPE
+	        SYNTAX INTEGER  {
+	    		 enabled(1),
+	    		 disabled(2)
+	        }
+	        MAX-ACCESS read-write
+	        STATUS current
+	        DESCRIPTION 
+	            "Enable/Disable date range checking while executing time base PoE."
+	        ::= { swTimeRangeSettingEntry 3}       
+	       
+		swTimeRangeStartYear  OBJECT-TYPE
+	            SYNTAX INTEGER {
+		               y2009(2009),
+		               y2010(2010),
+		               y2011(2011),
+		               y2012(2012),
+		               y2013(2013),
+		               y2014(2014),
+		               y2015(2015),
+		               y2016(2016),
+		               y2017(2017),
+		               y2018(2018),
+		               y2019(2019),
+		               y2020(2020),
+		               y2021(2021),
+		               y2022(2022),
+		               y2023(2023),
+		               y2024(2024),
+		               y2025(2025),
+		               y2026(2026),
+		               y2027(2027),
+		               y2028(2028),
+		               y2029(2029),
+		               y2030(2030),
+		               y2031(2031),
+		               y2032(2032),
+		               y2033(2033),
+		               y2034(2034),
+		               y2035(2035),
+		               y2036(2036),
+		               y2037(2037)
+	            }
+				   MAX-ACCESS   read-write
+				   STATUS       current
+	            DESCRIPTION
+	                "Start year of the Schedule entry."
+	            ::= { swTimeRangeSettingEntry 4 }
 	
-	doSNotifyVarPortNumber   OBJECT-TYPE
-		SYNTAX   DisplayString
-		MAX-ACCESS accessible-for-notify
-		STATUS  current
-		DESCRIPTION
-				"This object indicates the attacked portNum with a string,
-				For example, if the device is in standalone mode, and the port
-				number is 23, the string should be 23.
-				If the device is in stack mode, and the unit ID is 2, and the
-				port number is 3, the string should be 2:3."
-		::={doSNotifyVarBindings 2}
-      
+		swTimeRangeStartMonth  OBJECT-TYPE
+	            SYNTAX INTEGER {
+	                   january(1),
+		               february(2),
+		               march(3),
+		               april(4),
+		               may(5),
+		               june(6),
+		               july(7),
+		               august(8),
+		               september(9),
+		               october(10),
+		               november(11),
+		               december(12)
+	            }
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "Start month of the Schedule entry."
+	            ::= { swTimeRangeSettingEntry 5 }
+	
+		swTimeRangeStartDay  OBJECT-TYPE
+	            SYNTAX Integer32 (1..31)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "Start day of the Schedule entry.
+	                The value must be from 1 to 31."
+	            ::= { swTimeRangeSettingEntry 6 }
+		   
+		swTimeRangeStartHour  OBJECT-TYPE
+	            SYNTAX Integer32 (0..23)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "Start hour of the Schedule entry.
+	                The value must be from 0 to 23."
+	            ::= { swTimeRangeSettingEntry 7 }
+		
+		swTimeRangeStartMinute  OBJECT-TYPE
+	            SYNTAX Integer32 (0..59)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "Start minute of the Schedule entry.
+	                The value must be from 0 to 59."
+	            ::= { swTimeRangeSettingEntry 8 }	   
+	
+		swTimeRangeEndYear  OBJECT-TYPE
+	            SYNTAX INTEGER {
+		               y2009(2009),
+		               y2010(2010),
+		               y2011(2011),
+		               y2012(2012),
+		               y2013(2013),
+		               y2014(2014),
+		               y2015(2015),
+		               y2016(2016),
+		               y2017(2017),
+		               y2018(2018),
+		               y2019(2019),
+		               y2020(2020),
+		               y2021(2021),
+		               y2022(2022),
+		               y2023(2023),
+		               y2024(2024),
+		               y2025(2025),
+		               y2026(2026),
+		               y2027(2027),
+		               y2028(2028),
+		               y2029(2029),
+		               y2030(2030),
+		               y2031(2031),
+		               y2032(2032),
+		               y2033(2033),
+		               y2034(2034),
+		               y2035(2035),
+		               y2036(2036),
+		               y2037(2037)
+	            }
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "End year of the Schedule entry."
+	            ::= { swTimeRangeSettingEntry 9 }
+	
+		swTimeRangeEndMonth  OBJECT-TYPE
+	            SYNTAX INTEGER {
+	                   january(1),
+		               february(2),
+		               march(3),
+		               april(4),
+		               may(5),
+		               june(6),
+		               july(7),
+		               august(8),
+		               september(9),
+		               october(10),
+		               november(11),
+		               december(12)
+	            }
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "End month of the Schedule entry."
+	            ::= { swTimeRangeSettingEntry 10 }
+	
+		swTimeRangeEndDay  OBJECT-TYPE
+	            SYNTAX Integer32 (1..31)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "End day of the Schedule entry.
+	                The value must be from 1 to 31."
+	            ::= { swTimeRangeSettingEntry 11 }
+		   
+		swTimeRangeEndHour  OBJECT-TYPE
+	            SYNTAX Integer32 (0..23)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "End hour of the Schedule entry.
+	                The value must be from 0 to 23."
+	            ::= { swTimeRangeSettingEntry 12 }
+		
+		swTimeRangeEndMinute  OBJECT-TYPE
+	            SYNTAX Integer32 (0..59)
+	   			MAX-ACCESS   read-write
+	  			STATUS       current
+	            DESCRIPTION
+	                "End minute of the Schedule entry.
+	                The value must be from 0 to 59."
+	            ::= { swTimeRangeSettingEntry 13 }
+
+        swTimeRangeMonday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Monday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 14 }            
+
+        swTimeRangeTuesday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Tuesday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 15 }         
+            
+        swTimeRangeWednesday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Wednesday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 16 } 
+            
+        swTimeRangeThursday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Thursday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 17 } 
+            
+        swTimeRangeFriday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Friday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 18 }
+            
+        swTimeRangeSaturday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Saturday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 19 }
+            
+        swTimeRangeSunday OBJECT-TYPE
+			SYNTAX      INTEGER {
+			            enable(1),
+			            disable(2)
+			           }
+			MAX-ACCESS  read-write
+			STATUS      current
+			DESCRIPTION 
+			  "Enable/Disble scheduling Sunday."
+			  DEFVAL { disable }
+			::= { swTimeRangeSettingEntry 20 }    
+	
+	    swTimeRangeRowStatus OBJECT-TYPE
+	       SYNTAX      RowStatus
+	       MAX-ACCESS  read-create
+	       STATUS      current
+	       DESCRIPTION
+	             "The status of an entry in the Time Range Information Table.  Only a subset
+	             of the rowstatus variables (active, notinservice, createAndWait, destroy) 
+	             are available."
+	       ::= { swTimeRangeSettingEntry 21 }            
+
+
+
     --
     -- LLDP  Settings
     --
